%define svnrev svn1948

Name:           tkabber
Version:        0.11.1
Release:        4.%{svnrev}%{?dist}
Summary:        Client for the Jabber instant messaging system

Group:          Applications/Internet
License:        GPLv2+
URL:            http://tkabber.jabber.ru/
Source0:        %{name}-%{version}.tar.bz2
# for relase version:
#Source0:        http://files.jabber.ru/tkabber/%{name}-%{version}.tar.gz
# script to get tkabber from svn
Source1:        tkabber-snapshot.sh
Source2:        tkabber.png
Source3:        tkabber.desktop
Source4:        tkabber
Source5:        tkabber-remote
Patch0:         tkabber-0.11.1-install.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       tcllib
Requires:       bwidget
Requires:       tcltls
Requires:       tkimg
Requires:       tdom
Requires:       tktray
Requires:       tcl-tclxml
Requires:       tcl-tkpng
Requires:       tcl-zlib


%description
Tkabber is a Free and Open Source client for the Jabber
instant messaging system. It's written in Tcl/Tk, and
works on many platforms. The choice of Tcl/Tk for a Jabber
client is three-fold:
* it is portable: once you install a Tcl/Tk interpreter on
  your system, the Tkabber script "just runs" — without having
  to compile anything;
* it is customizable: Tkabber reads a configuration file when
  it starts that tells it the settings of various parameters; and,
* it is extensible: the configuration file is actually a Tcl
  script, so you can replace or augment entire portions of Tkabber
  (if you're so inclined).

%prep
%setup -q
%patch0 -p1 -b .install


%build

# empty here

%install
rm -rf %{buildroot}

make install-bin DESTDIR=%{buildroot}

desktop-file-install --dir=%{buildroot}/%{_datadir}/applications %{SOURCE3}

mkdir -p %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_bindir}
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE4} %{SOURCE5} %{buildroot}%{_bindir}

chmod 755 %{buildroot}%{_bindir}/tkabber
chmod 755 %{buildroot}%{_bindir}/tkabber-remote


%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README doc/tkabber.html
%{_bindir}/tkabber
%{_bindir}/tkabber-remote
%{_datadir}/tkabber
%{_datadir}/applications/tkabber.desktop
%{_datadir}/pixmaps/tkabber.png

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-4.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-3.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.11.1-2.svn1948
- Fix License.
* Fri Nov 05 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.11.1-1.svn1948
- First build.